Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Developer Tools Hit Gold Status

[ Edited ]

Since I haven't seen a post on it yet, I figured if you missed it (like I did) I'd post an update here. Most of the tools have been released as GOLD (RTM) that were in beta.

 

The biggest feature (and one of my favorites) is hot swap simulation. No more having to restart your simulator just to check that small piece of code. Just load it up and it shows on the sim.

 

My only let-down is that 64-bit Windows is still not supported. The links are below:

 

Eclipse Java Plugin 1.1

 

http://na.blackberry.com/eng/developers/javaappdev/javaplugin.jsp

 

Web Plugin

 

http://na.blackberry.com/eng/developers/browserdev/eclipseplugin.jsp

 

JDE 5

 

http://na.blackberry.com/eng/developers/javaappdev/javasdk5.jsp

 

Widget Plugin

 

http://na.blackberry.com/eng/developers/browserdev/widgetsdk.jsp

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 587
Registered: ‎01-19-2010
My Device: BOLD 9700 OS5.0.0.x on Rogers Canada
My Carrier: Rogers

Re: Developer Tools Hit Gold Status

Thanks for the links!

----------------------------------------------------------------------------
chown -R us ./base
~J!NX
Developer
Posts: 65
Registered: ‎01-05-2010
My Device: Not Specified

Re: Developer Tools Hit Gold Status

Anyone tried updating through eclipse yet? I fails after a while with a timeout. Do you think I can upgrade my eclipse install by downloading the installer version and installing that?
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Developer Tools Hit Gold Status

You should be ok using the installer then grabbing the other component packs/JDKs later.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 65
Registered: ‎01-05-2010
My Device: Not Specified

Re: Developer Tools Hit Gold Status

thanks, its trying via eclipse again at the moment, if it fails again I will try the installer route.
Developer
Posts: 65
Registered: ‎01-05-2010
My Device: Not Specified

Re: Developer Tools Hit Gold Status

Updating through the eclipse's "check for updates" option worked on the second attempt.
Developer
Posts: 178
Registered: ‎07-29-2008
My Device: Not Specified

Re: Developer Tools Hit Gold Status

I was going to say that updating via eclipse worked fine for me

 

Also, this incudes HOT SWAP SUPPORT!!!

 

So for the 5.0 sims, you can just "relaunch" the RIM JVM Smiley Happy

Developer
Posts: 64
Registered: ‎05-09-2009
My Device: Not Specified

Re: Developer Tools Hit Gold Status

Is the hot swap support a feature in the new remote debug server (JDWP) or is it integrated in eclipse? The reason i ask is we're using BB-ant tools and debug the application from eclipse with the remote debug server.

Developer
Posts: 65
Registered: ‎01-05-2010
My Device: Not Specified

Re: Developer Tools Hit Gold Status

[ Edited ]

Having various issues with my eclipse post upgrade.

 

First was how to get my project using 5.0.0.25 had to edit 5.0.0 and point it at 5.0.0.25 (from .14)

 

Next when I hit debug, it gets stuck at 3% analyzing sources for a bit (didnt used to do that)

 

Then I was getting messages about debug symbols not being available, and eclipse timing out. I said don't ask again.

 

Now I am getting the simulator saying JVM 543 incompatable java file system!

Highlighted
Developer
Posts: 1,807
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.3.2.858, Z10 (STL100-3)-10.3.1.2576, Z30 (STA100-5)-10.3.1.2582, Passport (SQW100-1)-10.3.1.2576, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: Developer Tools Hit Gold Status

I haven't gotten any of those errors. I updated from eclipse to the new plugin and the component pack, the Release Notes said that you needed to update the pointer to 5.0.0.25 to use the new pack.

 

I posted some basic info in the first post which didn't get seen very well.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.